package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("xy_comfyui_execute")
public class ComfyuiExecute {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Integer id;

    private Integer executeNum;

    private String workflowId;

    private Date executeTime;

    // comfyui执行任务返回的id
    private String promptId;
    // 通知手机号码
    private String noticePhone;
    // 创建时间
    private Date createTime;

}
