package com.xyzc.start.job;

import com.xyzc.start.service.IComfyUIService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@EnableScheduling
@Component
@RequiredArgsConstructor
@Slf4j
public class ComfyUITask {

    private final IComfyUIService comfyUIService;


    private static final SimpleDateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");

    // 每5秒执行一次
//    @Scheduled(fixedRate = 1000 * 60)
    public void checkConfyIsGenerate() {
        // 定时器执行， 防止某些因异常导致没有执行成功，定时器重新执行
        comfyUIService.quartz2ComfyUI();
    }

}
