package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户订单展示
 *
 * @author 杨兴卓
 */
@Data
@TableName("xy_base_user_order")
public class BaseUserOrder extends BaseEntity {

    private Long id;

    private Long baseUserId;

    private Integer status;

    private Integer orderType;

    private Long agentMerId;

    private Integer payMethod;

    private BigDecimal goodsAmount;

    private BigDecimal payAmount;

    private BigDecimal discountAmount;

    @TableLogic
    private String delFlag;

    @Version
    private Integer version;
}
