package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * app分组
 *
 * @author 杨兴卓
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_web_app_group")
public class WebAppGroup extends BaseEntity {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * app分组名称
     */
    private String groupName;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 逻辑删除
     */
    private String delFlag;

}
